com.smartgwt.client.types

## Enum Side

- java.lang.Object
- - java.lang.Enum<Side>
  - - com.smartgwt.client.types.Side

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<Side>

      public enum Side
      extends java.lang.Enum<Side>
      implements ValueEnum

  Side of a component.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTTOM` Bottom side
    `LEFT` Left side
    `RIGHT` Right side
    `TOP` Top side

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static Side` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Side[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEFT

          public static final Side LEFT

      Left side

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "left".

    - #### RIGHT

          public static final Side RIGHT

      Right side

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "right".

    - #### TOP

          public static final Side TOP

      Top side

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "top".

    - #### BOTTOM

          public static final Side BOTTOM

      Bottom side

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "bottom".

  - ### Method Detail

    - #### values

          public static Side[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Side c : Side.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Side valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`